Index: packages.ent
===================================================================
--- packages.ent	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ packages.ent	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1056,15 +1042,15 @@
 <!ENTITY dvd-rw-tools-version         "7.1">
 <!ENTITY k3b-version                  "2.0.3">
-<!ENTITY libburn-version              "1.5.4">
-<!ENTITY libisoburn-version           "1.5.4">
-<!ENTITY libisofs-version             "1.5.4">
+<!ENTITY libburn-version              "1.5.2">
+<!ENTITY libisoburn-version           "1.5.2">
+<!ENTITY libisofs-version             "1.5.2">
 <!ENTITY simpleburn-version           "1.8.1">
 
 <!-- Part XII -->
 <!-- Chapter 46 -->
-<!ENTITY cups-version                 "2.3.3op2">
-<!ENTITY cups-filters-version         "1.28.10">
-<!ENTITY gs-version                   "9.54.0">
-<!ENTITY gs-packver                   "9540">
+<!ENTITY cups-version                 "2.3.3">
+<!ENTITY cups-filters-version         "1.28.6">
+<!ENTITY gs-version                   "9.53.3">
+<!ENTITY gs-packver                   "9533">
 <!ENTITY gutenprint-version           "5.3.3">
 
@@ -1094,20 +1080,20 @@
 <!ENTITY psutils-version              "p17">
 <!ENTITY epdfview-version             "0.1.8">
-<!ENTITY fop-version                  "2.6">
+<!ENTITY fop-version                  "2.5">
 <!ENTITY mupdf-version                "1.18.0">
 <!ENTITY paps-version                 "0.7.1">
 
 <!-- Chapter 51 -->
-<!ENTITY texlive-version              "20210325">
-<!ENTITY texmf-version                "20210325">
-<!ENTITY tex-tlpdb-version            "20210325">
+<!ENTITY texlive-version              "20200406">
+<!ENTITY texmf-version                "20200406">
+<!ENTITY tex-tlpdb-version            "20200406">
 <!-- the year is used when setting up PATHs in the tl-installer
  page, as well as to reference the directory in texlive, also
  in asymptote, biber and xindy -->
-<!ENTITY texlive-year                 "2021">
-<!ENTITY asymptote-version            "2.70">
-<!ENTITY biber-version                "2.16">
-<!ENTITY biblatex-version             "3.16">
-<!ENTITY dvisvgm-version              "2.12">
+<!ENTITY texlive-year                 "2020">
+<!ENTITY asymptote-version            "2.68">
+<!ENTITY biber-version                "2.15">
+<!ENTITY biblatex-version             "3.15a">
+<!ENTITY dvisvgm-version              "2.11">
 <!ENTITY xindy-version                "2.5.1">
 
Index: stylesheets/blfs-chunked.xsl
===================================================================
--- stylesheets/blfs-chunked.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/blfs-chunked.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/blfs-nochunks.xsl
===================================================================
--- stylesheets/blfs-nochunks.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/blfs-nochunks.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/blfs-pdf.xsl
===================================================================
--- stylesheets/blfs-pdf.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/blfs-pdf.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/dump-commands.xsl
===================================================================
--- stylesheets/dump-commands.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/dump-commands.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -4,4 +4,9 @@
     extension-element-prefixes="exsl"
     version="1.0">
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <!-- XSLT stylesheet to extract commands from [B,H]LFS books. -->
Index: stylesheets/lfs-xsl/chunk-master.xsl
===================================================================
--- stylesheets/lfs-xsl/chunk-master.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/chunk-master.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/lfs-xsl/chunk-slave.xsl
===================================================================
--- stylesheets/lfs-xsl/chunk-slave.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/chunk-slave.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/lfs-xsl/chunkfast.xsl
===================================================================
--- stylesheets/lfs-xsl/chunkfast.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/chunkfast.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/lfs-xsl/common.xsl
===================================================================
--- stylesheets/lfs-xsl/common.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/common.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/lfs-xsl/nochunks.xsl
===================================================================
--- stylesheets/lfs-xsl/nochunks.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/nochunks.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/lfs-xsl/pdf.xsl
===================================================================
--- stylesheets/lfs-xsl/pdf.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/pdf.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/lfs-xsl/pdf/lfs-admon.xsl
===================================================================
--- stylesheets/lfs-xsl/pdf/lfs-admon.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/pdf/lfs-admon.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/lfs-xsl/pdf/lfs-index.xsl
===================================================================
--- stylesheets/lfs-xsl/pdf/lfs-index.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/pdf/lfs-index.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <!DOCTYPE xsl:stylesheet [
Index: stylesheets/lfs-xsl/pdf/lfs-lists.xsl
===================================================================
--- stylesheets/lfs-xsl/pdf/lfs-lists.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/pdf/lfs-lists.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/lfs-xsl/pdf/lfs-mixed.xsl
===================================================================
--- stylesheets/lfs-xsl/pdf/lfs-mixed.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/pdf/lfs-mixed.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/lfs-xsl/pdf/lfs-pagesetup.xsl
===================================================================
--- stylesheets/lfs-xsl/pdf/lfs-pagesetup.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/pdf/lfs-pagesetup.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/lfs-xsl/pdf/lfs-xref.xsl
===================================================================
--- stylesheets/lfs-xsl/pdf/lfs-xref.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/pdf/lfs-xref.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/lfs-xsl/profile.xsl
===================================================================
--- stylesheets/lfs-xsl/profile.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/profile.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/lfs-xsl/xhtml/lfs-admon.xsl
===================================================================
--- stylesheets/lfs-xsl/xhtml/lfs-admon.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/xhtml/lfs-admon.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/lfs-xsl/xhtml/lfs-index.xsl
===================================================================
--- stylesheets/lfs-xsl/xhtml/lfs-index.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/xhtml/lfs-index.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <!DOCTYPE xsl:stylesheet [
Index: stylesheets/lfs-xsl/xhtml/lfs-legalnotice.xsl
===================================================================
--- stylesheets/lfs-xsl/xhtml/lfs-legalnotice.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/xhtml/lfs-legalnotice.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/lfs-xsl/xhtml/lfs-mixed.xsl
===================================================================
--- stylesheets/lfs-xsl/xhtml/lfs-mixed.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/xhtml/lfs-mixed.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/lfs-xsl/xhtml/lfs-navigational.xsl
===================================================================
--- stylesheets/lfs-xsl/xhtml/lfs-navigational.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/xhtml/lfs-navigational.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/lfs-xsl/xhtml/lfs-sections.xsl
===================================================================
--- stylesheets/lfs-xsl/xhtml/lfs-sections.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/xhtml/lfs-sections.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/lfs-xsl/xhtml/lfs-titles.xsl
===================================================================
--- stylesheets/lfs-xsl/xhtml/lfs-titles.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/xhtml/lfs-titles.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/lfs-xsl/xhtml/lfs-toc.xsl
===================================================================
--- stylesheets/lfs-xsl/xhtml/lfs-toc.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/xhtml/lfs-toc.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/lfs-xsl/xhtml/lfs-xref.xsl
===================================================================
--- stylesheets/lfs-xsl/xhtml/lfs-xref.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/lfs-xsl/xhtml/lfs-xref.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
Index: stylesheets/patcheslist.xsl
===================================================================
--- stylesheets/patcheslist.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/patcheslist.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -4,4 +4,9 @@
   %general-entities;
 ]>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <!--
@@ -19,5 +24,5 @@
     <!-- Allow select the dest dir at runtime -->
   <xsl:param name="dest.dir">
-    <xsl:value-of select="concat('/srv/www/', substring-after('&patch-root;', 'https://'))"/>
+    <xsl:value-of select="concat('/srv/www/', substring-after('&patch-root;', 'http://'))"/>
   </xsl:param>
 
@@ -41,5 +46,5 @@
     <xsl:text>&#x0a;chgrp lfswww *.patch &amp;&amp;&#x0a;</xsl:text>
     <xsl:text>if [ `wc -l copyerrs|sed 's/ *//' |cut -f1 -d' '` -gt 0 ]; then
-  mail -s "Missing BLFS patches" blfs-book@lists.linuxfromscratch.org &lt; copyerrs
+  mail -s "Missing BLFS patches" blfs-book@linuxfromscratch.org &lt; copyerrs
 fi</xsl:text>
     <xsl:text>&#x0a;exit&#x0a;</xsl:text>
@@ -83,8 +88,4 @@
           <xsl:text>/x265</xsl:text>
         </xsl:when>
-          <!-- node -->
-        <xsl:when test="contains($patch.name, 'node')">
-          <xsl:text>/node</xsl:text>
-        </xsl:when>
           <!-- General rule -->
         <xsl:otherwise>
Index: stylesheets/wget-list.xsl
===================================================================
--- stylesheets/wget-list.xsl	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ stylesheets/wget-list.xsl	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,8 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
 
 <!-- Create a list of upstream URLs for packages and patches to be used
Index: tidy.conf
===================================================================
--- tidy.conf	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ tidy.conf	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,4 +1,6 @@
 # Tidy configuration file
 #
+# $LastChangedBy$
+# $Date$
 
 indent-spaces: 2
